%global		__requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Math
%define		_subclass	Vector
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear


Name:		php-pear-%{upstream_name}
Version:	0.7.0
Release:	%mkrel 8
Summary:	Vector and vector operation classes
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Vector/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}


%description
Classes to represent Tuples, general Vectors, and 2D-/3D-vectors,
as well as a static class for vector operations.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Vector.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Vector.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Vector
fi

%files
%doc docs/Math_Vector/*
%{peardir}/*
%{xmldir}/Math_Vector.xml


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.7.0-8.mga6
+ Revision: 950274
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 tv <tv> 0.7.0-7.mga5
+ Revision: 793426
- excludes deps from doc

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-6.mga5
+ Revision: 746088
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.7.0-5.mga5
+ Revision: 734089
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 687352
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.7.0-3.mga4
+ Revision: 528150
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 spuhler <spuhler> 0.7.0-2.mga4
+ Revision: 443549
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.7.0-1.mga4
+ Revision: 443501
- upgrade to version 0.7.0
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.6.2-14.mga3
+ Revision: 376923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.6.2-13.mga1
+ Revision: 43546
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Vector


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-13mdv2011.0
+ Revision: 613719
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.2-12mdv2010.1
+ Revision: 470163
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.2-11mdv2010.0
+ Revision: 441350
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-10mdv2009.1
+ Revision: 322370
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-9mdv2009.0
+ Revision: 236972
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-8mdv2008.0
+ Revision: 15471
- rule out the PHPUnit.php dep


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-7mdv2007.0
+ Revision: 82205
- Import php-pear-Math_Vector

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.6.2-1mdk
- initial Mandriva package (PLD import)

